package com.lightinit.hsdataplatform.dictionary;

import java.util.LinkedHashMap;

public class DicInvoiceType {
    public static final String GENERAL_INVOICE = "普通发票";
    public static final String VAT_SPECIAL_INVOICE = "增值税专用发票";

    private static DicInvoiceType instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicInvoiceType(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(GENERAL_INVOICE, GENERAL_INVOICE);
        dicMap.put(VAT_SPECIAL_INVOICE, VAT_SPECIAL_INVOICE);
    }

    public static DicInvoiceType getInstacne(){
        if (instance == null)
        {
            instance = new DicInvoiceType();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }

}
